## matrix-synapse 1.139.2

=== debian/changelog ===
matrix-synapse (1.139.2-1) unstable; urgency=medium

  [ Antonio Russo ]
  * New upstream release (Closes: 1105140, #1117854).
  * Refresh vendored rust dependencies.
  * Update debian/copyright.

  [ Santiago Vila ]
  * Fix FTBFS with the nocheck build profile (Closes: #1116789).

  [ Andrej Shadura ]
  * Fix the zeroconf license: BSD-2, not BSD (Closes: #1111723).
  * Remove constraints unnecessary since buster.
  * Update lintian override info format.

 -- Antonio Russo <aerusso@aerusso.net>  Tue, 14 Oct 2025 03:59:18 -0600
