=== debian/control ===
Source: matrix-synapse
Maintainer: Matrix Packaging Team <pkg-matrix-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrej Shadura <andrewsh@debian.org>,
 Antonio Enrico Russo <aerusso@aerusso.net>,
Section: net
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-cargo,
 dh-sequence-single-binary,
 dh-sequence-python3,
 dh-sequence-builtusing,
 libjs-jquery,
 librust-anyhow-1+default-dev (>= 1.0.63),
 librust-base64-0+default-dev (>= 0.21.7),
 librust-bytes-1+default-dev (>= 1.5),
 librust-blake2-0.10+default-dev (>= 0.10.4),
 librust-futures-dev (>= 0.3.31),
 librust-headers-dev (<< 0.5),
 librust-http-body-util-dev (>= 0.1.2),
 librust-http-dev (<< 2),
 librust-hex-0.4+default-dev (>= 0.4.3),
 librust-lazy-static-1+default-dev (>= 1.4.0),
 librust-log-0.4+default-dev (>= 0.4.17),
 librust-mime-0.3+default-dev (>= 0.3.17),
#FIXME: enable when debian ships pyo3 v0.25
# librust-pyo3-0.25+abi3-dev,
# librust-pyo3-0.25+abi3-py38-dev,
# librust-pyo3-0.25+anyhow-dev,
# librust-pyo3-0.25+default-dev,
# librust-pyo3-0.25+macros-dev,
# librust-pyo3-log-0.12+default-dev,
# librust-pythonize-0.25+default-dev,
# librust-pyo3-ffi-dev,
# librust-pyo3-macros-dev,
#FIXME: drop below build-dependencies when above is solved
 librust-anyhow-dev,
 librust-arc-swap-dev,
 librust-chrono-tz-dev,
 librust-displaydoc-dev,
 librust-eyre+default-dev,
 librust-http-body-util-dev,
#FIXME: enable when debian ships heck v0.5 (not only v0.4.1)
#librust-heck-dev (>= 0.5),
 librust-quote-dev,
 librust-indoc-dev,
 librust-inventory-dev,
 librust-log-dev,
 librust-memoffset-dev,
 librust-num-complex-dev,
 librust-once-cell-dev,
 librust-proc-macro2-dev,
 librust-reqwest-dev,
 librust-rust-decimal-dev,
 librust-syn-dev,
#FIXME: enable with debian ships target-lexicon v0.13 (not only v0.12)
#librust-target-lexicon-dev (>= 0.13),
 librust-unindent-dev,
#FIXME: above below build-dependencies when above is solved
 librust-regex-1+default-dev (>= 1.6.0),
 librust-reqwest-dev (>= 0.12.15),
 librust-serde-1+default-dev (>= 1.0.144),
 librust-serde-1+derive-dev (>= 1.0.144),
 librust-serde-json-1+default-dev (>= 1.0.85),
 librust-sha2-0.10+default-dev (>= 0.10.8),
 librust-synstructure-dev,
 librust-writeable-dev,
 librust-zerofrom-dev,
 librust-tokio-dev (>= 1.43.0),
#FIXME: enable when ulid is in Debian
# librust-ulid-1+default-dev (>= 1.1.2),
 po-debconf,
 pybuild-plugin-pyproject,
 python3-poetry-core,
 python3-all,
 python3-attr (>= 19.2.0~),
 python3-bcrypt,
 python3-bleach,
 python3-cryptography,
 python3-canonicaljson (>= 2.0.0~),
 python3-idna,
 python3-ijson (>= 3.1.4),
 python3-immutabledict (>= 2.0.0),
 python3-jinja2 (>= 3.0),
 python3-jsonschema (>= 3.0.0),
 python3-lxml,
 python3-matrix-common (>= 1.3.0~),
 python3-msgpack,
 python3-multipart (>= 0.0.9) | python3-python-multipart,
 python3-multipart (<< 0.1) | python3-python-multipart,
 python3-nacl,
 python3-netaddr,
 python3-openssl,
 python3-packaging,
 python3-parameterized <!nocheck>,
 python3-phonenumbers,
 python3-pil,
 python3-prometheus-client,
 python3-psutil,
 python3-pyasn1,
 python3-pydantic (>= 1.7.4),
 python3-pymacaroons,
 python3-pysaml2,
 python3-pytest <!nocheck>,
 python3-pytest-twisted <!nocheck>,
 python3-service-identity (>= 18.1.0),
 python3-setuptools,
 python3-setuptools-rust (>= 1.2.0~),
 python3-signedjson (>= 1.1.0),
 python3-sortedcontainers,
 python3-systemd,
 python3-treq,
 python3-twisted (>= 18.9.0-8~),
 python3-typing-extensions (>= 4.1~),
 python3-unpaddedbase64 (>= 2.1.0~),
 python3-yaml
Standards-Version: 4.6.2
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/element-hq/synapse
Vcs-Browser: https://salsa.debian.org/matrix-team/matrix-synapse
Vcs-Git: https://salsa.debian.org/matrix-team/matrix-synapse.git
Rules-Requires-Root: no

Package: matrix-synapse
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 adduser,
 libjs-jquery,
 python3-bleach,
 python3-jinja2 (>= 3.0~),
 python3-lxml,
 python3-psycopg2 (>= 2.8),
 python3-systemd,
 python3-twisted (>= 18.9.0-8~),
 ${misc:Depends},
 ${shlibs:Depends},
 ${python3:Depends},
 ${perl:Depends}
Suggests:
 python3-jwt,
 python3-authlib (>= 0.14.0),
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Static-Built-Using:
 ${dh-builtusing:librust-anyhow-dev},
 ${dh-builtusing:librust-base64-dev},
 ${dh-builtusing:librust-blake2-dev},
 ${dh-builtusing:librust-bytes-dev},
 ${dh-builtusing:librust-headers-dev},
 ${dh-builtusing:librust-hex-dev},
 ${dh-builtusing:librust-http-dev},
 ${dh-builtusing:librust-lazy-static-dev},
 ${dh-builtusing:librust-log-dev},
 ${dh-builtusing:librust-mime-dev},
#FIXME: enable when no longer embedding those crates
# ${dh-builtusing:librust-pyo3-dev},
# ${dh-builtusing:librust-pyo3-log-dev},
# ${dh-builtusing:librust-pythonize-dev},
 ${dh-builtusing:librust-regex-dev},
 ${dh-builtusing:librust-serde-dev},
 ${dh-builtusing:librust-serde-json-dev},
 ${dh-builtusing:librust-sha2-dev},
#FIXME: enable when no longer embedding that crate
# ${dh-builtusing:librust-ulid-dev},
Recommends:
 python3-pympler,
 matrix-synapse-ldap3,
#  python3-priority,
#  python3-h2 (>= 3.0.0)
Description: Matrix reference homeserver
 Synapse is the reference Python/Twisted Matrix homeserver implementation.
 .
 Synapse is intended to showcase the concept of Matrix, and to let users run
 their own homeserver and generally help bootstrap the ecosystem.
 .
 Matrix is an open standard for interoperable, decentralised, real-time
 communication over IP. It can be used to power Instant Messaging, VoIP/WebRTC
 signalling, Internet of Things communication or anywhere where's a need for
 a standard HTTP API for publishing and subscribing to data whilst tracking the
 conversation history.
 .
 In Matrix, every user runs one or more Matrix clients, which connect through
 to a Matrix homeserver. The homeserver stores all their personal chat history
 and user account information, much as a mail client connects through to an
 IMAP/SMTP server.
