## matrix-synapse 1.143.0

=== debian/changelog ===
matrix-synapse (1.143.0-2) unstable; urgency=medium

  * Unbreak autopkgtest by specifying the pybuild test settings in
    environment.
  * Refer to the Apache-2.0 license instead of embedding it.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 09 Dec 2025 19:38:53 +0100

matrix-synapse (1.143.0-1) unstable; urgency=medium

  * New upstream release.
  * Align test harness with upstream: use twisted test framework instead of
    pytest, which is subtly different.
  * Bump python dependencies.
  * Relax checksum check on vendored crates.
  * Refresh patches.
  * Drop compatibility patches for older python packages.

 -- Antonio Enrico Russo <aerusso@aerusso.net>  Mon, 08 Dec 2025 07:22:19 -0700
