=== debian/control ===
--- 
+++ 
@@ -25,13 +25,13 @@
  librust-log-0.4+default-dev (>= 0.4.17),
  librust-mime-0.3+default-dev (>= 0.3.17),
 #FIXME: enable when debian ships pyo3 v0.25
-# librust-pyo3-0.25+abi3-dev,
-# librust-pyo3-0.25+abi3-py38-dev,
-# librust-pyo3-0.25+anyhow-dev,
-# librust-pyo3-0.25+default-dev,
-# librust-pyo3-0.25+macros-dev,
-# librust-pyo3-log-0.12+default-dev,
-# librust-pythonize-0.25+default-dev,
+# librust-pyo3-0.26+abi3-dev,
+# librust-pyo3-0.26+abi3-py38-dev,
+# librust-pyo3-0.26+anyhow-dev,
+# librust-pyo3-0.26+default-dev,
+# librust-pyo3-0.26+macros-dev,
+# librust-pyo3-log-0.13+default-dev,
+# librust-pythonize-0.26+default-dev,
 # librust-pyo3-ffi-dev,
 # librust-pyo3-macros-dev,
 #FIXME: drop below build-dependencies when above is solved
@@ -92,6 +92,7 @@
  python3-nacl,
  python3-netaddr,
  python3-openssl,
+ python3-rpds-py (>=0.25.0),
  python3-packaging,
  python3-parameterized <!nocheck>,
  python3-phonenumbers,
@@ -99,19 +100,20 @@
  python3-prometheus-client,
  python3-psutil,
  python3-pyasn1,
- python3-pydantic (>= 1.7.4),
+ python3-pyasn1-modules,
+ python3-pydantic,
  python3-pymacaroons,
  python3-pysaml2,
  python3-pytest <!nocheck>,
  python3-pytest-twisted <!nocheck>,
  python3-service-identity (>= 18.1.0),
  python3-setuptools,
- python3-setuptools-rust (>= 1.2.0~),
+ python3-setuptools-rust (>= 1.3.0~),
  python3-signedjson (>= 1.1.0),
  python3-sortedcontainers,
  python3-systemd,
  python3-treq,
- python3-twisted (>= 18.9.0-8~),
+ python3-twisted (>= 21.2.0~),
  python3-typing-extensions (>= 4.1~),
  python3-unpaddedbase64 (>= 2.1.0~),
  python3-yaml
@@ -141,7 +143,7 @@
  ${perl:Depends}
 Suggests:
  python3-jwt,
- python3-authlib (>= 0.14.0),
+ python3-authlib (>= 0.15.1),
 Built-Using: ${cargo:Built-Using}
 XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
 Static-Built-Using:
