=== debian/rules ===
--- 
+++ 
@@ -86,6 +86,9 @@
 	mv debian/Cargo.lock.orig Cargo.lock || true
 	dh_auto_clean
 
+export PYBUILD_TEST_ARGS=python3 -m twisted.trial tests
+export PYBUILD_TEST_CUSTOM=1
+
 ifeq ($(DEB_HOST_ARCH_BITS),32)
 override_dh_auto_test:
 	-dh_auto_test
@@ -110,7 +113,7 @@
 	cd debian/vendorlibs~ && mv --target-directory=../vendorlibs $(VENDORLIBS)
 
 # use older crates
-	$(call _mangle,memoffset,0.9,>= 0.8.0| <= 0.9,pyo3-0.25.1)
+	$(call _mangle,memoffset,0.9,>= 0.8.0| <= 0.9,pyo3-0.26.0)
 
 # avoid WASM-only crates
 	perl -gpi \
@@ -126,13 +129,11 @@
 	 -e 's/\[target\..cfg\(all\(windows.*[^\n]*(\n[^\[\n][^\n]*)*//g;' \
 	 debian/vendorlibs/getrandom-0.3.3/Cargo.toml
 
-# strip checksums for mangled crates
-	echo '{"package":"Could not get crate checksum","files":{}}' \
-	 | tee $(patsubst %,debian/vendorlibs/%/.cargo-checksum.json,\
-	 getrandom-0.3.3 \
-	 pyo3-0.25.1 \
-	 ulid-1.2.1 \
-	 )
+# strip checksums for vendored crates
+	for pkg in $(VENDORLIBS) ; do \
+		echo '{"package":"Could not get crate checksum","files":{}}' \
+			>"debian/vendorlibs/$${pkg}/.cargo-checksum.json" ; \
+	done
 
 # cleanup
 	rm -rf debian/vendorlibs~
