## matrix-synapse 1.146.0

=== debian/changelog ===
matrix-synapse (1.146.0-3) unstable; urgency=medium

  * Actually depend on python3-cffi (Closes: #1128421).

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 23 Feb 2026 10:03:29 +0100

matrix-synapse (1.146.0-2) unstable; urgency=medium

  * (Build-)Depend on python3-cffi (Closes: #1128421).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 19 Feb 2026 17:33:36 +0100

matrix-synapse (1.146.0-1) unstable; urgency=medium

  [ Antonio Enrico Russo ]
  * Rework Static-Built-Using tag creation.

  [ Andrej Shadura ]
  * New upstream release.
  * Build-depend on python3-pyparsing, python3-pyrsistent and python3-maturin.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 10 Feb 2026 16:29:28 +0100
