=== debian/control ===
--- 
+++ 
@@ -12,25 +12,36 @@
  dh-sequence-python3,
  dh-sequence-builtusing,
  libjs-jquery,
+ librust-anyhow-dev,
  librust-anyhow-1+default-dev (>= 1.0.63),
+ librust-base64-dev,
  librust-base64-0+default-dev (>= 0.21.7),
+ librust-bytes-dev,
  librust-bytes-1+default-dev (>= 1.5),
+ librust-blake2-dev,
  librust-blake2-0.10+default-dev (>= 0.10.4),
  librust-futures-dev (>= 0.3.31),
  librust-headers-dev (<< 0.5),
  librust-http-body-util-dev (>= 0.1.2),
  librust-http-dev (<< 2),
+ librust-hex-dev,
  librust-hex-0.4+default-dev (>= 0.4.3),
+ librust-lazy-static-dev,
  librust-lazy-static-1+default-dev (>= 1.4.0),
+ librust-log-dev,
  librust-log-0.4+default-dev (>= 0.4.17),
+ librust-mime-dev,
  librust-mime-0.3+default-dev (>= 0.3.17),
 #FIXME: enable when debian ships pyo3 v0.25
+# librust-pyo3-dev,
 # librust-pyo3-0.26+abi3-dev,
 # librust-pyo3-0.26+abi3-py38-dev,
 # librust-pyo3-0.26+anyhow-dev,
 # librust-pyo3-0.26+default-dev,
 # librust-pyo3-0.26+macros-dev,
+# librust-pyo3-log-dev,
 # librust-pyo3-log-0.13+default-dev,
+# librust-pythonize-dev,
 # librust-pythonize-0.26+default-dev,
 # librust-pyo3-ffi-dev,
 # librust-pyo3-macros-dev,
@@ -46,7 +57,6 @@
  librust-quote-dev,
  librust-indoc-dev,
  librust-inventory-dev,
- librust-log-dev,
  librust-memoffset-dev,
  librust-num-complex-dev,
  librust-once-cell-dev,
@@ -58,11 +68,15 @@
 #librust-target-lexicon-dev (>= 0.13),
  librust-unindent-dev,
 #FIXME: above below build-dependencies when above is solved
+ librust-regex-dev,
  librust-regex-1+default-dev (>= 1.6.0),
  librust-reqwest-dev (>= 0.12.15),
+ librust-serde-dev,
  librust-serde-1+default-dev (>= 1.0.144),
  librust-serde-1+derive-dev (>= 1.0.144),
+ librust-serde-json-dev,
  librust-serde-json-1+default-dev (>= 1.0.85),
+ librust-sha2-dev,
  librust-sha2-0.10+default-dev (>= 0.10.8),
  librust-synstructure-dev,
  librust-writeable-dev,
@@ -70,6 +84,7 @@
  librust-tokio-dev (>= 1.43.0),
 #FIXME: enable when ulid is in Debian
 # librust-ulid-1+default-dev (>= 1.1.2),
+# librust-ulid-dev,
  po-debconf,
  pybuild-plugin-pyproject,
  python3-poetry-core,
@@ -79,6 +94,7 @@
  python3-bleach,
  python3-cryptography,
  python3-canonicaljson (>= 2.0.0~),
+ python3-cffi (>= 1.15.0~),
  python3-idna,
  python3-ijson (>= 3.1.4),
  python3-immutabledict (>= 2.0.0),
@@ -86,6 +102,7 @@
  python3-jsonschema (>= 3.0.0),
  python3-lxml,
  python3-matrix-common (>= 1.3.0~),
+ python3-maturin (<< 2.0~),
  python3-msgpack,
  python3-multipart (>= 0.0.9) | python3-python-multipart,
  python3-multipart (<< 0.1) | python3-python-multipart,
@@ -103,6 +120,8 @@
  python3-pyasn1-modules,
  python3-pydantic,
  python3-pymacaroons,
+ python3-pyparsing,
+ python3-pyrsistent,
  python3-pysaml2,
  python3-pytest <!nocheck>,
  python3-pytest-twisted <!nocheck>,
@@ -132,6 +151,7 @@
  adduser,
  libjs-jquery,
  python3-bleach,
+ python3-cffi (>= 1.15.0~),
  python3-jinja2 (>= 3.0~),
  python3-lxml,
  python3-psycopg2 (>= 2.8),
@@ -149,24 +169,41 @@
 Static-Built-Using:
  ${dh-builtusing:librust-anyhow-dev},
  ${dh-builtusing:librust-base64-dev},
+ ${dh-builtusing:librust-bytes-dev},
  ${dh-builtusing:librust-blake2-dev},
- ${dh-builtusing:librust-bytes-dev},
+ ${dh-builtusing:librust-futures-dev},
  ${dh-builtusing:librust-headers-dev},
+ ${dh-builtusing:librust-http-body-util-dev},
+ ${dh-builtusing:librust-http-dev},
  ${dh-builtusing:librust-hex-dev},
- ${dh-builtusing:librust-http-dev},
  ${dh-builtusing:librust-lazy-static-dev},
  ${dh-builtusing:librust-log-dev},
  ${dh-builtusing:librust-mime-dev},
-#FIXME: enable when no longer embedding those crates
-# ${dh-builtusing:librust-pyo3-dev},
-# ${dh-builtusing:librust-pyo3-log-dev},
-# ${dh-builtusing:librust-pythonize-dev},
+ ${dh-builtusing:librust-anyhow-dev},
+ ${dh-builtusing:librust-arc-swap-dev},
+ ${dh-builtusing:librust-chrono-tz-dev},
+ ${dh-builtusing:librust-displaydoc-dev},
+ ${dh-builtusing:librust-http-body-util-dev},
+ ${dh-builtusing:librust-quote-dev},
+ ${dh-builtusing:librust-indoc-dev},
+ ${dh-builtusing:librust-inventory-dev},
+ ${dh-builtusing:librust-memoffset-dev},
+ ${dh-builtusing:librust-num-complex-dev},
+ ${dh-builtusing:librust-once-cell-dev},
+ ${dh-builtusing:librust-proc-macro2-dev},
+ ${dh-builtusing:librust-reqwest-dev},
+ ${dh-builtusing:librust-rust-decimal-dev},
+ ${dh-builtusing:librust-syn-dev},
+ ${dh-builtusing:librust-unindent-dev},
  ${dh-builtusing:librust-regex-dev},
+ ${dh-builtusing:librust-reqwest-dev},
  ${dh-builtusing:librust-serde-dev},
  ${dh-builtusing:librust-serde-json-dev},
  ${dh-builtusing:librust-sha2-dev},
-#FIXME: enable when no longer embedding that crate
-# ${dh-builtusing:librust-ulid-dev},
+ ${dh-builtusing:librust-synstructure-dev},
+ ${dh-builtusing:librust-writeable-dev},
+ ${dh-builtusing:librust-zerofrom-dev},
+ ${dh-builtusing:librust-tokio-dev},
 Recommends:
  python3-pympler,
  matrix-synapse-ldap3,
